Package org.spongepowered.asm.launch.platform

## Enum IMixinPlatformAgent.AcceptResult

- java.lang.Object
- - java.lang.Enum<IMixinPlatformAgent.AcceptResult>
  - - org.spongepowered.asm.launch.platform.IMixinPlatformAgent.AcceptResult

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<IMixinPlatformAgent.AcceptResult>`

Enclosing interface:
  IMixinPlatformAgent

    public static enum IMixinPlatformAgent.AcceptResult
    extends java.lang.Enum<IMixinPlatformAgent.AcceptResult>

Result type returned from `IMixinPlatformAgent.accept(org.spongepowered.asm.launch.platform.MixinPlatformManager, org.spongepowered.asm.launch.platform.container.IContainerHandle)`

### Enum Constant Summary

Enum Constants
`ACCEPTED` The container was accepted
`INVALID` The agent encountered an error and no further containers should be offered
`REJECTED` The container was rejected

### Method Summary

All Methods Static Methods Concrete Methods
`static IMixinPlatformAgent.AcceptResult` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IMixinPlatformAgent.AcceptResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACCEPTED

    public static final IMixinPlatformAgent.AcceptResult ACCEPTED

The container was accepted

#### REJECTED

    public static final IMixinPlatformAgent.AcceptResult REJECTED

The container was rejected

#### INVALID

    public static final IMixinPlatformAgent.AcceptResult INVALID

The agent encountered an error and no further containers should be offered

### Method Detail

#### values

    public static IMixinPlatformAgent.AcceptResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IMixinPlatformAgent.AcceptResult c : IMixinPlatformAgent.AcceptResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IMixinPlatformAgent.AcceptResult valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null